/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright 2012 Oracle and/or its affiliates. All rights reserved.
 *
 * Oracle and Java are registered trademarks of Oracle and/or its affiliates.
 * Other names may be trademarks of their respective owners.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the GPL Version 2 section of the License file that
 * accompanied this code. If applicable, add the following below the
 * License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * If you wish your version of this file to be governed by only the CDDL
 * or only the GPL Version 2, indicate your decision by adding
 * "[Contributor] elects to include this software in this distribution
 * under the [CDDL or GPL Version 2] license." If you do not indicate a
 * single choice of license, a recipient has the option to distribute
 * your version of this file under either the CDDL, the GPL Version 2 or
 * to extend the choice of license to its licensees as provided above.
 * However, if you add GPL Version 2 code and therefore, elected the GPL
 * Version 2 license, then the option applies only if the new code is
 * made subject to such option by the copyright holder.
 *
 * Contributor(s):
 *
 * Portions Copyrighted 2012 Sun Microsystems, Inc.
 */
package org.netbeans.modules.extbrowser.plugins.chrome;

import java.io.File;
import java.net.MalformedURLException;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.netbeans.modules.extbrowser.plugins.ExtensionManager.ExtensitionStatus;
import org.openide.util.NbBundle;

/**
 *
 * @author ads
 */
class ChromeInfoPanel extends javax.swing.JPanel {

    private static final long serialVersionUID = 5394629966593049098L;
    private static final Logger LOGGER = Logger.getLogger(ChromeInfoPanel.class.getName());


    ChromeInfoPanel(String pluginPath, 
            ExtensitionStatus currentStatus)
    {
        initComponents();

        File file = new File(pluginPath);
        String name = file.getName();
        File parent = file.getParentFile();
        StringBuilder text = new StringBuilder("<html>");                       // NOI18N
        if ( currentStatus == ExtensitionStatus.NEEDS_UPGRADE ){
            text.append(NbBundle.getMessage(ChromeInfoPanel.class, "TXT_RequestUpgrade"));// NOI18N
            text.append(" ");           // NOI18N
        }
        String path = "";
        try {
            path = parent.toURI().toURL().toExternalForm();
        }
        catch( MalformedURLException e ){
            LOGGER.log(Level.WARNING, null, e);
        }
        text.append(NbBundle.getMessage(ChromeInfoPanel.class,
                "TXT_PluginIstallationIssue" ,                          // NOI18N
                path, name ));      
        text.append("</html>");         // NOI18N
        myEditorPane.setText(text.toString());
        myEditorPane.setCaretPosition(0);
        
        myEditorPane.addHyperlinkListener(new LinkListener());
    }
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        myScrollPane = new javax.swing.JScrollPane();
        myEditorPane = new javax.swing.JEditorPane();

        myEditorPane.setEditable(false);
        myEditorPane.setContentType("text/html"); // NOI18N
        myEditorPane.setText(org.openide.util.NbBundle.getMessage(ChromeInfoPanel.class, "TXT_PluginIstallationIssue")); // NOI18N
        myScrollPane.setViewportView(myEditorPane);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(myScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 519, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(myScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 120, Short.MAX_VALUE)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JEditorPane myEditorPane;
    private javax.swing.JScrollPane myScrollPane;
    // End of variables declaration//GEN-END:variables
    
}
